#pragma once

#include "atlimage.h"

class CNMImgComboBox : public CComboBox
{
	DECLARE_DYNAMIC(CNMImgComboBox)

public:
	CNMImgComboBox();
	virtual ~CNMImgComboBox();

public:
	static void SetFontStatic(CFont * font);
	static void SetUnitedButtonImagesStatic(LPCTSTR pszBtnImgPath, int nStatusCount); 
	BOOL LoadUnitedButtonImages(LPCTSTR pszBtnImgPath, int nStatusCount);

	static void SetDropDownResizing(BOOL bAutoResizing=TRUE);
	static void SetDefaultItemHeight(int nHeight);
	void SetTextDrawStyle(UINT nDrawStyle);

	void SetTextColor(COLORREF crText);
	void AddWorldTimeStrings();
	CString GetWorldTimeString(int index);

protected:
	enum {BTN_STATE_NORMAL, BTN_STATE_CLICKED, BTN_STATE_HOVER, BTN_STATE_SELECTED, BTN_STATE_DISABLED};

	static CString m_strBtnImgPath;
	static int m_nBtnStatusCount;
	static CFont * m_font;
	static BOOL m_bDropDownAutoResizing;

	int m_nBtnState;

	CBitmap m_bmpBtnNormal;
	CBitmap m_bmpBtnClicked;
	CBitmap m_bmpBtnHover;
	CBitmap m_bmpBtnSelected;
	CBitmap m_bmpBtnDisabled;

	CRect m_rcBtn;

	COLORREF m_crText;  ///< ؽƮ 

	UINT m_nTextDrawStyle;
	int m_nWidthDropDown;
	static int m_nItemHeight;

protected:
	DECLARE_MESSAGE_MAP()
	afx_msg void OnPaint();
	afx_msg void OnLButtonDown(UINT nFlags, CPoint point);
	afx_msg void OnMouseMove(UINT nFlags, CPoint point);
	afx_msg LRESULT OnMouseLeave(WPARAM wParam, LPARAM lParam);
	virtual void PreSubclassWindow();
	virtual void DrawItem(LPDRAWITEMSTRUCT);
public:
	afx_msg void OnCbnDropdown();
};


